Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::semiregular_box< T & > Struct Template Reference
Utility
Inheritance diagram for ranges::semiregular_box< T & >:

## Public Member Functions
template<typename Arg >
| semiregular_box (in_place_t, Arg &arg) noexcept

## Constructor & Destructor Documentation

## ◆ semiregular_box()

template<typename T >
template<typename Arg >

ranges::semiregular_box< T & >::semiregular_box | ( | in_place_t | ,
|  | Arg & | arg
| ) |  |
| noexcept

Precondition
  requires `constructible_from<ranges::reference_wrapper<T &>, Arg &>`